What are the system demands for downloading Lix?

Lix is compatible with:

1. MAC - OS X 10.9 and later versions
2. Windows - Windows 7 and later versions

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.